//
//   COMPONENT_NAME: somnm
//
//   ORIGINS: 27
//
//
//    25H7912  (C)  COPYRIGHT International Business Machines Corp. 1992,1996,1996  
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//#  @(#) 1.7 src/somnm/naming/lnamec.idl, somnm, som3.0 5/20/96 16:40:11 [12/22/96 21:32:08]

/*
 *    @(#) 1.7 @(#)lnamec.idl	1.7 1/24/94 10:34:13 [3/30/94 17:08:21]
 */

//#-------------------------------------------------------------------------#
//#   lnamec.idl                                                            #
//#-------------------------------------------------------------------------#

#ifndef lnamec_idl
#define lnamec_idl

#include <xnaming.idl>

interface LNameComponent: SOMObject {
    exception NotSet{};

    string get_id()
      raises(NotSet);

    void set_id(in string i);

    string get_kind()
      raises(NotSet);

    void set_kind(in string k);

    void destroy();

#ifdef __SOMIDL__
    implementation {
	releaseorder: get_id, set_id, get_kind, set_kind, destroy;

	somDefaultInit: override, init;
	somDestruct: override;
	dllname = "somnmf.dll";
	majorversion = 3;
	minorversion = 0;
    };
#endif
};

#endif /* lnamec_idl */

